[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDBTransaction.CloseDataSets

Close all connected datasets

## Declaration

Source position: db.pas line 1870

`public procedure TDBTransaction.CloseDataSets;`

## Description

CloseDatasets closes all connected datasets (All TDBDataset instances whose Transaction property points to this TDBTransaction instance).

## See also

TDBDataset |  | Dataset connected to a database.
TDBDataset.Transaction |  | Transaction in which this dataset is running.

Documentation generated on: Feb 26 2014